%global extuuid    system-monitor-next@paradoxxx.zero.gmail.com
%global extdir     %{_datadir}/gnome-shell/extensions/%{extuuid}
%global gschemadir %{_datadir}/glib-2.0/schemas
%global gitname    gnome-shell-system-monitor-applet
%global giturl     https://github.com/mgalgs/%{gitname}

%{!?git_post_release_enabled: %global git_post_release_enabled 1}

%if 0%{?git_post_release_enabled}
  %global gitcommit 0f042e8cfd67c0891c6b5917d9fd5a8de7219d8a
  %global gitshortcommit %(c=%{gitcommit}; echo ${c:0:7})
  %global gitsnapinfo .20231104git%{gitshortcommit}
%endif

Name:           gnome-shell-extension-system-monitor-applet
Version:        38
Release:        3%{?dist}
Summary:        A Gnome shell system monitor extension

License:        GPL-3.0-or-later AND BSD-3-Clause
URL:            https://extensions.gnome.org/extension/120/system-monitor/
Source0:        %{giturl}/archive/%{?gitcommit}%{!?gitcommit:v%{version}}/%{name}-%{version}%{?gitshortcommit:-%{gitshortcommit}}.tar.gz

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  %{_bindir}/glib-compile-schemas
BuildRequires:  make

Requires:       gnome-shell-extension-common


%description
Display system information in gnome shell status bar, such as memory usage,
CPU usage, and network rate...


%prep
%autosetup -n %{gitname}-%{?gitcommit}%{!?gitcommit:%{version}} -p 1


%build
%make_build BUILD_FOR_RPM=1


%install
%make_install VERSION=%{version} DESTDIR=%{buildroot} BUILD_FOR_RPM=1

%{__rm} -fr %{buildroot}%{extdir}/{COPYING*,README*,locale,schemas}

%{__mkdir} -p %{buildroot}%{gschemadir}
%{__cp} -pr %{extuuid}/schemas/*gschema.xml %{buildroot}%{gschemadir}

%{_bindir}/find %{extuuid} -name '*.po' -print -delete
%{__cp} -pr %{extuuid}/locale %{buildroot}%{_datadir}

%find_lang %{name} --all-name


%files -f %{name}.lang
%doc README.md
%license COPYING
%{extdir}
%{gschemadir}/*gschema.xml


%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 38-3
- Rebuilt for loongarch64

* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38-1
- initial build
